require 'sketchup.rb'
Sketchup::require Sketchup.find_support_file("Plugins") + '/DBUR_UcsManager/dbur_ucs'

#-----------------------------------------------------------------------------------------------------
#                                        MENU ITEMS
#-----------------------------------------------------------------------------------------------------

unless file_loaded?(__FILE__)
	
	ucs_tools_tb = UI::Toolbar.new(DBUR_Ucs::TR["UCS Manager"])
	
	cmd0 = UI::Command.new(DBUR_Ucs::TR["UCS Manager"]) { Sketchup.active_model.select_tool(DBUR_Ucs::SaveUCSTool.new()) }
	cmd0.small_icon = "Resources/UCS_save.png"
	cmd0.large_icon = "Resources/UCS_save.png"
	cmd0.tooltip = DBUR_Ucs::TR["Save UCS"]
	cmd0.status_bar_text = DBUR_Ucs::TR["Save a User Coordinates System"]
	ucs_tools_tb.add_item(cmd0)
	
	cmd1 = UI::Command.new(DBUR_Ucs::TR["UCS Manager"]) { Sketchup.active_model.select_tool(DBUR_Ucs::RestoreUCSTool.new()) }
	cmd1.small_icon = "Resources/UCS_restore.png"
	cmd1.large_icon = "Resources/UCS_restore.png"
	cmd1.tooltip = DBUR_Ucs::TR["Restore UCS"]
	cmd1.status_bar_text = DBUR_Ucs::TR["Restore a User Coordinates System"]
	ucs_tools_tb.add_item(cmd1)
	
	cmd3 = UI::Command.new(DBUR_Ucs::TR["UCS Manager"]) { DBUR_Ucs::erase_ucs() }
	cmd3.small_icon = "Resources/UCS_erase.png"
	cmd3.large_icon = "Resources/UCS_erase.png"
	cmd3.tooltip = DBUR_Ucs::TR["Delete UCS"]
	cmd3.status_bar_text = DBUR_Ucs::TR["Delete a User Coordinates System"]
	ucs_tools_tb.add_item(cmd3)
	
	cmd2 = UI::Command.new(DBUR_Ucs::TR["UCS Manager"]) {DBUR_Ucs::list_all_ucs() }
	cmd2.small_icon = "Resources/UCS_list.png"
	cmd2.large_icon = "Resources/UCS_list.png"
	cmd2.tooltip = DBUR_Ucs::TR["List UCS"]
	cmd2.status_bar_text = DBUR_Ucs::TR["List  User Coordinates Systems"]
	ucs_tools_tb.add_item(cmd2)
	
	status=ucs_tools_tb.get_last_state
	ucs_tools_tb.show() if status<1
	
end
file_loaded( __FILE__ )
